package com.ylx.massage.enums;

import lombok.Data;

/**
 * 商户接单状态枚举
 */
public enum TechnicianStatusEnum {
    /**
     * 休息中
     */
    RESTING(0, "休息中"),

    /**
     * 在线接单
     */
    ONLINE(1, "在线接单");

    private final Integer code;
    private final String desc;

    TechnicianStatusEnum(Integer code, String desc) {
        this.desc = desc;
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
